<?php

/**
* getLookupMainTableSettings - tests whether the lookup link exists between the tables
*
*  returns array with ProjectSettings class for main table if the link exists in project settings.
*  returns NULL otherwise
*/
function getLookupMainTableSettings($lookupTable, $mainTableShortName, $mainField, $desiredPage = "")
{
	global $lookupTableLinks;
	if(!isset($lookupTableLinks[$lookupTable]))
		return null;
	if(!isset($lookupTableLinks[$lookupTable][$mainTableShortName.".".$mainField]))
		return null;
	$arr = &$lookupTableLinks[$lookupTable][$mainTableShortName.".".$mainField];
	$effectivePage = $desiredPage;
	if(!isset($arr[$effectivePage]))
	{
		$effectivePage = PAGE_EDIT;
		if(!isset($arr[$effectivePage]))
		{
			if($desiredPage == "" && 0 < count($arr))
			{
				$effectivePage = $arr[0];
			}
			else
				return null;
		}
	}
	return new ProjectSettings($arr[$effectivePage]["table"], $effectivePage);
}

/** 
* $lookupTableLinks array stores all lookup links between tables in the project
*/
function InitLookupLinks()
{
	global $lookupTableLinks;

	$lookupTableLinks = array();

		if( !isset( $lookupTableLinks["aux"] ) ) {
			$lookupTableLinks["aux"] = array();
		}
		if( !isset( $lookupTableLinks["aux"]["socio.ci_procedencia"] )) {
			$lookupTableLinks["aux"]["socio.ci_procedencia"] = array();
		}
		$lookupTableLinks["aux"]["socio.ci_procedencia"]["edit"] = array("table" => "socio", "field" => "ci_procedencia", "page" => "edit");
		if( !isset( $lookupTableLinks["aux"] ) ) {
			$lookupTableLinks["aux"] = array();
		}
		if( !isset( $lookupTableLinks["aux"]["socio.depto_Nacimiento"] )) {
			$lookupTableLinks["aux"]["socio.depto_Nacimiento"] = array();
		}
		$lookupTableLinks["aux"]["socio.depto_Nacimiento"]["edit"] = array("table" => "socio", "field" => "depto_Nacimiento", "page" => "edit");
		if( !isset( $lookupTableLinks["aux"] ) ) {
			$lookupTableLinks["aux"] = array();
		}
		if( !isset( $lookupTableLinks["aux"]["socio.estado"] )) {
			$lookupTableLinks["aux"]["socio.estado"] = array();
		}
		$lookupTableLinks["aux"]["socio.estado"]["edit"] = array("table" => "socio", "field" => "estado", "page" => "edit");
		if( !isset( $lookupTableLinks["aux"] ) ) {
			$lookupTableLinks["aux"] = array();
		}
		if( !isset( $lookupTableLinks["aux"]["socio.tipo_Doc"] )) {
			$lookupTableLinks["aux"]["socio.tipo_Doc"] = array();
		}
		$lookupTableLinks["aux"]["socio.tipo_Doc"]["edit"] = array("table" => "socio", "field" => "tipo_Doc", "page" => "edit");
		if( !isset( $lookupTableLinks["aux"] ) ) {
			$lookupTableLinks["aux"] = array();
		}
		if( !isset( $lookupTableLinks["aux"]["socio.pais_Nacimiento"] )) {
			$lookupTableLinks["aux"]["socio.pais_Nacimiento"] = array();
		}
		$lookupTableLinks["aux"]["socio.pais_Nacimiento"]["edit"] = array("table" => "socio", "field" => "pais_Nacimiento", "page" => "edit");
		if( !isset( $lookupTableLinks["aux"] ) ) {
			$lookupTableLinks["aux"] = array();
		}
		if( !isset( $lookupTableLinks["aux"]["socio.sexo"] )) {
			$lookupTableLinks["aux"]["socio.sexo"] = array();
		}
		$lookupTableLinks["aux"]["socio.sexo"]["edit"] = array("table" => "socio", "field" => "sexo", "page" => "edit");
		if( !isset( $lookupTableLinks["aux"] ) ) {
			$lookupTableLinks["aux"] = array();
		}
		if( !isset( $lookupTableLinks["aux"]["socio.estado_Civil"] )) {
			$lookupTableLinks["aux"]["socio.estado_Civil"] = array();
		}
		$lookupTableLinks["aux"]["socio.estado_Civil"]["edit"] = array("table" => "socio", "field" => "estado_Civil", "page" => "edit");
		if( !isset( $lookupTableLinks["aux"] ) ) {
			$lookupTableLinks["aux"] = array();
		}
		if( !isset( $lookupTableLinks["aux"]["socio.tipo_accionista"] )) {
			$lookupTableLinks["aux"]["socio.tipo_accionista"] = array();
		}
		$lookupTableLinks["aux"]["socio.tipo_accionista"]["edit"] = array("table" => "socio", "field" => "tipo_accionista", "page" => "edit");
		if( !isset( $lookupTableLinks["gestion"] ) ) {
			$lookupTableLinks["gestion"] = array();
		}
		if( !isset( $lookupTableLinks["gestion"]["gestion.id_Gestion"] )) {
			$lookupTableLinks["gestion"]["gestion.id_Gestion"] = array();
		}
		$lookupTableLinks["gestion"]["gestion.id_Gestion"]["edit"] = array("table" => "gestion", "field" => "id_Gestion", "page" => "edit");
		if( !isset( $lookupTableLinks["empresa"] ) ) {
			$lookupTableLinks["empresa"] = array();
		}
		if( !isset( $lookupTableLinks["empresa"]["gestion.id_Empresa"] )) {
			$lookupTableLinks["empresa"]["gestion.id_Empresa"] = array();
		}
		$lookupTableLinks["empresa"]["gestion.id_Empresa"]["edit"] = array("table" => "gestion", "field" => "id_Empresa", "page" => "edit");
		if( !isset( $lookupTableLinks["constitucion"] ) ) {
			$lookupTableLinks["constitucion"] = array();
		}
		if( !isset( $lookupTableLinks["constitucion"]["gestion.id_constitucion"] )) {
			$lookupTableLinks["constitucion"]["gestion.id_constitucion"] = array();
		}
		$lookupTableLinks["constitucion"]["gestion.id_constitucion"]["edit"] = array("table" => "gestion", "field" => "id_constitucion", "page" => "edit");
		if( !isset( $lookupTableLinks["socio"] ) ) {
			$lookupTableLinks["socio"] = array();
		}
		if( !isset( $lookupTableLinks["socio"]["derecho_propietario.accionista"] )) {
			$lookupTableLinks["socio"]["derecho_propietario.accionista"] = array();
		}
		$lookupTableLinks["socio"]["derecho_propietario.accionista"]["edit"] = array("table" => "derecho_propietario", "field" => "accionista", "page" => "edit");
		if( !isset( $lookupTableLinks["aux"] ) ) {
			$lookupTableLinks["aux"] = array();
		}
		if( !isset( $lookupTableLinks["aux"]["derecho_propietario.clase_Acciones"] )) {
			$lookupTableLinks["aux"]["derecho_propietario.clase_Acciones"] = array();
		}
		$lookupTableLinks["aux"]["derecho_propietario.clase_Acciones"]["edit"] = array("table" => "derecho_propietario", "field" => "clase_Acciones", "page" => "edit");
		if( !isset( $lookupTableLinks["aux"] ) ) {
			$lookupTableLinks["aux"] = array();
		}
		if( !isset( $lookupTableLinks["aux"]["derecho_propietario.estado_Pago"] )) {
			$lookupTableLinks["aux"]["derecho_propietario.estado_Pago"] = array();
		}
		$lookupTableLinks["aux"]["derecho_propietario.estado_Pago"]["edit"] = array("table" => "derecho_propietario", "field" => "estado_Pago", "page" => "edit");
		if( !isset( $lookupTableLinks["aux"] ) ) {
			$lookupTableLinks["aux"] = array();
		}
		if( !isset( $lookupTableLinks["aux"]["derecho_propietario.gravamen"] )) {
			$lookupTableLinks["aux"]["derecho_propietario.gravamen"] = array();
		}
		$lookupTableLinks["aux"]["derecho_propietario.gravamen"]["edit"] = array("table" => "derecho_propietario", "field" => "gravamen", "page" => "edit");
		if( !isset( $lookupTableLinks["acciones_correlativo"] ) ) {
			$lookupTableLinks["acciones_correlativo"] = array();
		}
		if( !isset( $lookupTableLinks["acciones_correlativo"]["derecho_propietario.nro_Folio"] )) {
			$lookupTableLinks["acciones_correlativo"]["derecho_propietario.nro_Folio"] = array();
		}
		$lookupTableLinks["acciones_correlativo"]["derecho_propietario.nro_Folio"]["edit"] = array("table" => "derecho_propietario", "field" => "nro_Folio", "page" => "edit");
		if( !isset( $lookupTableLinks["acciones_correlativo"] ) ) {
			$lookupTableLinks["acciones_correlativo"] = array();
		}
		if( !isset( $lookupTableLinks["acciones_correlativo"]["derecho_propietario.nro_Partido"] )) {
			$lookupTableLinks["acciones_correlativo"]["derecho_propietario.nro_Partido"] = array();
		}
		$lookupTableLinks["acciones_correlativo"]["derecho_propietario.nro_Partido"]["edit"] = array("table" => "derecho_propietario", "field" => "nro_Partido", "page" => "edit");
		if( !isset( $lookupTableLinks["acciones_correlativo"] ) ) {
			$lookupTableLinks["acciones_correlativo"] = array();
		}
		if( !isset( $lookupTableLinks["acciones_correlativo"]["derecho_propietario.nro_Titulo"] )) {
			$lookupTableLinks["acciones_correlativo"]["derecho_propietario.nro_Titulo"] = array();
		}
		$lookupTableLinks["acciones_correlativo"]["derecho_propietario.nro_Titulo"]["edit"] = array("table" => "derecho_propietario", "field" => "nro_Titulo", "page" => "edit");
		if( !isset( $lookupTableLinks["aux"] ) ) {
			$lookupTableLinks["aux"] = array();
		}
		if( !isset( $lookupTableLinks["aux"]["derecho_propietario.serie_Acciones"] )) {
			$lookupTableLinks["aux"]["derecho_propietario.serie_Acciones"] = array();
		}
		$lookupTableLinks["aux"]["derecho_propietario.serie_Acciones"]["edit"] = array("table" => "derecho_propietario", "field" => "serie_Acciones", "page" => "edit");
		if( !isset( $lookupTableLinks["aux"] ) ) {
			$lookupTableLinks["aux"] = array();
		}
		if( !isset( $lookupTableLinks["aux"]["derecho_propietario.tipo_Acciones"] )) {
			$lookupTableLinks["aux"]["derecho_propietario.tipo_Acciones"] = array();
		}
		$lookupTableLinks["aux"]["derecho_propietario.tipo_Acciones"]["edit"] = array("table" => "derecho_propietario", "field" => "tipo_Acciones", "page" => "edit");
		if( !isset( $lookupTableLinks["aux"] ) ) {
			$lookupTableLinks["aux"] = array();
		}
		if( !isset( $lookupTableLinks["aux"]["derecho_propietario.estado_titulo"] )) {
			$lookupTableLinks["aux"]["derecho_propietario.estado_titulo"] = array();
		}
		$lookupTableLinks["aux"]["derecho_propietario.estado_titulo"]["edit"] = array("table" => "derecho_propietario", "field" => "estado_titulo", "page" => "edit");
		if( !isset( $lookupTableLinks["constitucion"] ) ) {
			$lookupTableLinks["constitucion"] = array();
		}
		if( !isset( $lookupTableLinks["constitucion"]["derecho_propietario.id_constitucion"] )) {
			$lookupTableLinks["constitucion"]["derecho_propietario.id_constitucion"] = array();
		}
		$lookupTableLinks["constitucion"]["derecho_propietario.id_constitucion"]["edit"] = array("table" => "derecho_propietario", "field" => "id_constitucion", "page" => "edit");
		if( !isset( $lookupTableLinks["acciones_correlativo"] ) ) {
			$lookupTableLinks["acciones_correlativo"] = array();
		}
		if( !isset( $lookupTableLinks["acciones_correlativo"]["derecho_propietario.nro_derecho"] )) {
			$lookupTableLinks["acciones_correlativo"]["derecho_propietario.nro_derecho"] = array();
		}
		$lookupTableLinks["acciones_correlativo"]["derecho_propietario.nro_derecho"]["edit"] = array("table" => "derecho_propietario", "field" => "nro_derecho", "page" => "edit");
		if( !isset( $lookupTableLinks["derecho_constitucion"] ) ) {
			$lookupTableLinks["derecho_constitucion"] = array();
		}
		if( !isset( $lookupTableLinks["derecho_constitucion"]["pago_dp.derecho_Propietario"] )) {
			$lookupTableLinks["derecho_constitucion"]["pago_dp.derecho_Propietario"] = array();
		}
		$lookupTableLinks["derecho_constitucion"]["pago_dp.derecho_Propietario"]["edit"] = array("table" => "pago_dp", "field" => "derecho_Propietario", "page" => "edit");
		if( !isset( $lookupTableLinks["derecho_constitucion"] ) ) {
			$lookupTableLinks["derecho_constitucion"] = array();
		}
		if( !isset( $lookupTableLinks["derecho_constitucion"]["pago_dp.accionista"] )) {
			$lookupTableLinks["derecho_constitucion"]["pago_dp.accionista"] = array();
		}
		$lookupTableLinks["derecho_constitucion"]["pago_dp.accionista"]["edit"] = array("table" => "pago_dp", "field" => "accionista", "page" => "edit");
		if( !isset( $lookupTableLinks["aux"] ) ) {
			$lookupTableLinks["aux"] = array();
		}
		if( !isset( $lookupTableLinks["aux"]["pago_dp.estado"] )) {
			$lookupTableLinks["aux"]["pago_dp.estado"] = array();
		}
		$lookupTableLinks["aux"]["pago_dp.estado"]["edit"] = array("table" => "pago_dp", "field" => "estado", "page" => "edit");
		if( !isset( $lookupTableLinks["aux"] ) ) {
			$lookupTableLinks["aux"] = array();
		}
		if( !isset( $lookupTableLinks["aux"]["pago_dp.tipo_pago"] )) {
			$lookupTableLinks["aux"]["pago_dp.tipo_pago"] = array();
		}
		$lookupTableLinks["aux"]["pago_dp.tipo_pago"]["edit"] = array("table" => "pago_dp", "field" => "tipo_pago", "page" => "edit");
		if( !isset( $lookupTableLinks["sta_rosa_users"] ) ) {
			$lookupTableLinks["sta_rosa_users"] = array();
		}
		if( !isset( $lookupTableLinks["sta_rosa_users"]["pago_dp.responsable"] )) {
			$lookupTableLinks["sta_rosa_users"]["pago_dp.responsable"] = array();
		}
		$lookupTableLinks["sta_rosa_users"]["pago_dp.responsable"]["edit"] = array("table" => "pago_dp", "field" => "responsable", "page" => "edit");
		if( !isset( $lookupTableLinks["gestion"] ) ) {
			$lookupTableLinks["gestion"] = array();
		}
		if( !isset( $lookupTableLinks["gestion"]["pago_dp.utilidad_gestion"] )) {
			$lookupTableLinks["gestion"]["pago_dp.utilidad_gestion"] = array();
		}
		$lookupTableLinks["gestion"]["pago_dp.utilidad_gestion"]["edit"] = array("table" => "pago_dp", "field" => "utilidad_gestion", "page" => "edit");
		if( !isset( $lookupTableLinks["constitucion"] ) ) {
			$lookupTableLinks["constitucion"] = array();
		}
		if( !isset( $lookupTableLinks["constitucion"]["pago_dp.id_constitucion"] )) {
			$lookupTableLinks["constitucion"]["pago_dp.id_constitucion"] = array();
		}
		$lookupTableLinks["constitucion"]["pago_dp.id_constitucion"]["edit"] = array("table" => "pago_dp", "field" => "id_constitucion", "page" => "edit");
		if( !isset( $lookupTableLinks["gestion"] ) ) {
			$lookupTableLinks["gestion"] = array();
		}
		if( !isset( $lookupTableLinks["gestion"]["pago_dp.gestion"] )) {
			$lookupTableLinks["gestion"]["pago_dp.gestion"] = array();
		}
		$lookupTableLinks["gestion"]["pago_dp.gestion"]["edit"] = array("table" => "pago_dp", "field" => "gestion", "page" => "edit");
		if( !isset( $lookupTableLinks["gestion"] ) ) {
			$lookupTableLinks["gestion"] = array();
		}
		if( !isset( $lookupTableLinks["gestion"]["pago_dp.ano"] )) {
			$lookupTableLinks["gestion"]["pago_dp.ano"] = array();
		}
		$lookupTableLinks["gestion"]["pago_dp.ano"]["edit"] = array("table" => "pago_dp", "field" => "ano", "page" => "edit");
		if( !isset( $lookupTableLinks["derecho_propietario"] ) ) {
			$lookupTableLinks["derecho_propietario"] = array();
		}
		if( !isset( $lookupTableLinks["derecho_propietario"]["entrega_dp.derecho_Propietario"] )) {
			$lookupTableLinks["derecho_propietario"]["entrega_dp.derecho_Propietario"] = array();
		}
		$lookupTableLinks["derecho_propietario"]["entrega_dp.derecho_Propietario"]["edit"] = array("table" => "entrega_dp", "field" => "derecho_Propietario", "page" => "edit");
		if( !isset( $lookupTableLinks["aux"] ) ) {
			$lookupTableLinks["aux"] = array();
		}
		if( !isset( $lookupTableLinks["aux"]["entrega_dp.estado"] )) {
			$lookupTableLinks["aux"]["entrega_dp.estado"] = array();
		}
		$lookupTableLinks["aux"]["entrega_dp.estado"]["edit"] = array("table" => "entrega_dp", "field" => "estado", "page" => "edit");
		if( !isset( $lookupTableLinks["socio"] ) ) {
			$lookupTableLinks["socio"] = array();
		}
		if( !isset( $lookupTableLinks["socio"]["entrega_dp.accionista"] )) {
			$lookupTableLinks["socio"]["entrega_dp.accionista"] = array();
		}
		$lookupTableLinks["socio"]["entrega_dp.accionista"]["edit"] = array("table" => "entrega_dp", "field" => "accionista", "page" => "edit");
		if( !isset( $lookupTableLinks["constitucion"] ) ) {
			$lookupTableLinks["constitucion"] = array();
		}
		if( !isset( $lookupTableLinks["constitucion"]["entrega_dp.id_constitucion"] )) {
			$lookupTableLinks["constitucion"]["entrega_dp.id_constitucion"] = array();
		}
		$lookupTableLinks["constitucion"]["entrega_dp.id_constitucion"]["edit"] = array("table" => "entrega_dp", "field" => "id_constitucion", "page" => "edit");
		if( !isset( $lookupTableLinks["gestion"] ) ) {
			$lookupTableLinks["gestion"] = array();
		}
		if( !isset( $lookupTableLinks["gestion"]["derecho_propietario_2.gestion"] )) {
			$lookupTableLinks["gestion"]["derecho_propietario_2.gestion"] = array();
		}
		$lookupTableLinks["gestion"]["derecho_propietario_2.gestion"]["edit"] = array("table" => "derecho_propietario_2", "field" => "gestion", "page" => "edit");
		if( !isset( $lookupTableLinks["socio"] ) ) {
			$lookupTableLinks["socio"] = array();
		}
		if( !isset( $lookupTableLinks["socio"]["derecho_propietario_2.accionista"] )) {
			$lookupTableLinks["socio"]["derecho_propietario_2.accionista"] = array();
		}
		$lookupTableLinks["socio"]["derecho_propietario_2.accionista"]["edit"] = array("table" => "derecho_propietario_2", "field" => "accionista", "page" => "edit");
		if( !isset( $lookupTableLinks["aux"] ) ) {
			$lookupTableLinks["aux"] = array();
		}
		if( !isset( $lookupTableLinks["aux"]["derecho_propietario_2.estado_titulo"] )) {
			$lookupTableLinks["aux"]["derecho_propietario_2.estado_titulo"] = array();
		}
		$lookupTableLinks["aux"]["derecho_propietario_2.estado_titulo"]["edit"] = array("table" => "derecho_propietario_2", "field" => "estado_titulo", "page" => "edit");
		if( !isset( $lookupTableLinks["constitucion"] ) ) {
			$lookupTableLinks["constitucion"] = array();
		}
		if( !isset( $lookupTableLinks["constitucion"]["derecho_propietario_2.id_constitucion"] )) {
			$lookupTableLinks["constitucion"]["derecho_propietario_2.id_constitucion"] = array();
		}
		$lookupTableLinks["constitucion"]["derecho_propietario_2.id_constitucion"]["edit"] = array("table" => "derecho_propietario_2", "field" => "id_constitucion", "page" => "edit");
		if( !isset( $lookupTableLinks["sta_rosa_users"] ) ) {
			$lookupTableLinks["sta_rosa_users"] = array();
		}
		if( !isset( $lookupTableLinks["sta_rosa_users"]["derecho_propietario_2.responsable"] )) {
			$lookupTableLinks["sta_rosa_users"]["derecho_propietario_2.responsable"] = array();
		}
		$lookupTableLinks["sta_rosa_users"]["derecho_propietario_2.responsable"]["edit"] = array("table" => "derecho_propietario_2", "field" => "responsable", "page" => "edit");
		if( !isset( $lookupTableLinks["union_acciones_total"] ) ) {
			$lookupTableLinks["union_acciones_total"] = array();
		}
		if( !isset( $lookupTableLinks["union_acciones_total"]["derecho_propietario_2.sub_total_acciones"] )) {
			$lookupTableLinks["union_acciones_total"]["derecho_propietario_2.sub_total_acciones"] = array();
		}
		$lookupTableLinks["union_acciones_total"]["derecho_propietario_2.sub_total_acciones"]["edit"] = array("table" => "derecho_propietario_2", "field" => "sub_total_acciones", "page" => "edit");
		if( !isset( $lookupTableLinks["empresa"] ) ) {
			$lookupTableLinks["empresa"] = array();
		}
		if( !isset( $lookupTableLinks["empresa"]["constitucion_empresa.id_Empresa"] )) {
			$lookupTableLinks["empresa"]["constitucion_empresa.id_Empresa"] = array();
		}
		$lookupTableLinks["empresa"]["constitucion_empresa.id_Empresa"]["edit"] = array("table" => "constitucion_empresa", "field" => "id_Empresa", "page" => "edit");
		if( !isset( $lookupTableLinks["empresa"] ) ) {
			$lookupTableLinks["empresa"] = array();
		}
		if( !isset( $lookupTableLinks["empresa"]["constitucion_empresa.nombre"] )) {
			$lookupTableLinks["empresa"]["constitucion_empresa.nombre"] = array();
		}
		$lookupTableLinks["empresa"]["constitucion_empresa.nombre"]["edit"] = array("table" => "constitucion_empresa", "field" => "nombre", "page" => "edit");
		if( !isset( $lookupTableLinks["socio"] ) ) {
			$lookupTableLinks["socio"] = array();
		}
		if( !isset( $lookupTableLinks["socio"]["socio_dp.id_Socio"] )) {
			$lookupTableLinks["socio"]["socio_dp.id_Socio"] = array();
		}
		$lookupTableLinks["socio"]["socio_dp.id_Socio"]["edit"] = array("table" => "socio_dp", "field" => "id_Socio", "page" => "edit");
		if( !isset( $lookupTableLinks["aux"] ) ) {
			$lookupTableLinks["aux"] = array();
		}
		if( !isset( $lookupTableLinks["aux"]["socio_dp.tipo_accionista"] )) {
			$lookupTableLinks["aux"]["socio_dp.tipo_accionista"] = array();
		}
		$lookupTableLinks["aux"]["socio_dp.tipo_accionista"]["edit"] = array("table" => "socio_dp", "field" => "tipo_accionista", "page" => "edit");
		if( !isset( $lookupTableLinks["derecho_propietario"] ) ) {
			$lookupTableLinks["derecho_propietario"] = array();
		}
		if( !isset( $lookupTableLinks["derecho_propietario"]["socio_dp.id_dp"] )) {
			$lookupTableLinks["derecho_propietario"]["socio_dp.id_dp"] = array();
		}
		$lookupTableLinks["derecho_propietario"]["socio_dp.id_dp"]["edit"] = array("table" => "socio_dp", "field" => "id_dp", "page" => "edit");
		if( !isset( $lookupTableLinks["constitucion"] ) ) {
			$lookupTableLinks["constitucion"] = array();
		}
		if( !isset( $lookupTableLinks["constitucion"]["socio_dp.id_constitucion"] )) {
			$lookupTableLinks["constitucion"]["socio_dp.id_constitucion"] = array();
		}
		$lookupTableLinks["constitucion"]["socio_dp.id_constitucion"]["edit"] = array("table" => "socio_dp", "field" => "id_constitucion", "page" => "edit");
		if( !isset( $lookupTableLinks["constitucion"] ) ) {
			$lookupTableLinks["constitucion"] = array();
		}
		if( !isset( $lookupTableLinks["constitucion"]["pendientes_de_pago.id_constitucion"] )) {
			$lookupTableLinks["constitucion"]["pendientes_de_pago.id_constitucion"] = array();
		}
		$lookupTableLinks["constitucion"]["pendientes_de_pago.id_constitucion"]["edit"] = array("table" => "Pendientes de Pago", "field" => "id_constitucion", "page" => "edit");
		if( !isset( $lookupTableLinks["gestion"] ) ) {
			$lookupTableLinks["gestion"] = array();
		}
		if( !isset( $lookupTableLinks["gestion"]["pendientes_de_pago.gestion"] )) {
			$lookupTableLinks["gestion"]["pendientes_de_pago.gestion"] = array();
		}
		$lookupTableLinks["gestion"]["pendientes_de_pago.gestion"]["edit"] = array("table" => "Pendientes de Pago", "field" => "gestion", "page" => "edit");
		if( !isset( $lookupTableLinks["aux"] ) ) {
			$lookupTableLinks["aux"] = array();
		}
		if( !isset( $lookupTableLinks["aux"]["pendientes_de_pago.estado"] )) {
			$lookupTableLinks["aux"]["pendientes_de_pago.estado"] = array();
		}
		$lookupTableLinks["aux"]["pendientes_de_pago.estado"]["edit"] = array("table" => "Pendientes de Pago", "field" => "estado", "page" => "edit");
		if( !isset( $lookupTableLinks["aux"] ) ) {
			$lookupTableLinks["aux"] = array();
		}
		if( !isset( $lookupTableLinks["aux"]["pendientes_de_pago.tipo_pago"] )) {
			$lookupTableLinks["aux"]["pendientes_de_pago.tipo_pago"] = array();
		}
		$lookupTableLinks["aux"]["pendientes_de_pago.tipo_pago"]["edit"] = array("table" => "Pendientes de Pago", "field" => "tipo_pago", "page" => "edit");
		if( !isset( $lookupTableLinks["sta_rosa_users"] ) ) {
			$lookupTableLinks["sta_rosa_users"] = array();
		}
		if( !isset( $lookupTableLinks["sta_rosa_users"]["pendientes_de_pago.responsable"] )) {
			$lookupTableLinks["sta_rosa_users"]["pendientes_de_pago.responsable"] = array();
		}
		$lookupTableLinks["sta_rosa_users"]["pendientes_de_pago.responsable"]["edit"] = array("table" => "Pendientes de Pago", "field" => "responsable", "page" => "edit");
		if( !isset( $lookupTableLinks["gestion"] ) ) {
			$lookupTableLinks["gestion"] = array();
		}
		if( !isset( $lookupTableLinks["gestion"]["pendientes_de_pago.utilidad_gestion"] )) {
			$lookupTableLinks["gestion"]["pendientes_de_pago.utilidad_gestion"] = array();
		}
		$lookupTableLinks["gestion"]["pendientes_de_pago.utilidad_gestion"]["edit"] = array("table" => "Pendientes de Pago", "field" => "utilidad_gestion", "page" => "edit");
		if( !isset( $lookupTableLinks["pago_correlativo"] ) ) {
			$lookupTableLinks["pago_correlativo"] = array();
		}
		if( !isset( $lookupTableLinks["pago_correlativo"]["pendientes_de_pago.correlativo"] )) {
			$lookupTableLinks["pago_correlativo"]["pendientes_de_pago.correlativo"] = array();
		}
		$lookupTableLinks["pago_correlativo"]["pendientes_de_pago.correlativo"]["edit"] = array("table" => "Pendientes de Pago", "field" => "correlativo", "page" => "edit");
		if( !isset( $lookupTableLinks["pago_dp"] ) ) {
			$lookupTableLinks["pago_dp"] = array();
		}
		if( !isset( $lookupTableLinks["pago_dp"]["pendientes_de_pago.accionista"] )) {
			$lookupTableLinks["pago_dp"]["pendientes_de_pago.accionista"] = array();
		}
		$lookupTableLinks["pago_dp"]["pendientes_de_pago.accionista"]["edit"] = array("table" => "Pendientes de Pago", "field" => "accionista", "page" => "edit");
		if( !isset( $lookupTableLinks["pago_corelativo"] ) ) {
			$lookupTableLinks["pago_corelativo"] = array();
		}
		if( !isset( $lookupTableLinks["pago_corelativo"]["pendientes_de_pago.correlativo_pago"] )) {
			$lookupTableLinks["pago_corelativo"]["pendientes_de_pago.correlativo_pago"] = array();
		}
		$lookupTableLinks["pago_corelativo"]["pendientes_de_pago.correlativo_pago"]["edit"] = array("table" => "Pendientes de Pago", "field" => "correlativo_pago", "page" => "edit");
		if( !isset( $lookupTableLinks["gestion"] ) ) {
			$lookupTableLinks["gestion"] = array();
		}
		if( !isset( $lookupTableLinks["gestion"]["pendientes_de_pago.ano"] )) {
			$lookupTableLinks["gestion"]["pendientes_de_pago.ano"] = array();
		}
		$lookupTableLinks["gestion"]["pendientes_de_pago.ano"]["edit"] = array("table" => "Pendientes de Pago", "field" => "ano", "page" => "edit");
		if( !isset( $lookupTableLinks["derecho_constitucion"] ) ) {
			$lookupTableLinks["derecho_constitucion"] = array();
		}
		if( !isset( $lookupTableLinks["derecho_constitucion"]["kardex_pago.derecho_Propietario"] )) {
			$lookupTableLinks["derecho_constitucion"]["kardex_pago.derecho_Propietario"] = array();
		}
		$lookupTableLinks["derecho_constitucion"]["kardex_pago.derecho_Propietario"]["edit"] = array("table" => "kardex_pago", "field" => "derecho_Propietario", "page" => "edit");
		if( !isset( $lookupTableLinks["derecho_constitucion"] ) ) {
			$lookupTableLinks["derecho_constitucion"] = array();
		}
		if( !isset( $lookupTableLinks["derecho_constitucion"]["kardex_pago.accionista"] )) {
			$lookupTableLinks["derecho_constitucion"]["kardex_pago.accionista"] = array();
		}
		$lookupTableLinks["derecho_constitucion"]["kardex_pago.accionista"]["edit"] = array("table" => "kardex_pago", "field" => "accionista", "page" => "edit");
		if( !isset( $lookupTableLinks["aux"] ) ) {
			$lookupTableLinks["aux"] = array();
		}
		if( !isset( $lookupTableLinks["aux"]["kardex_pago.estado"] )) {
			$lookupTableLinks["aux"]["kardex_pago.estado"] = array();
		}
		$lookupTableLinks["aux"]["kardex_pago.estado"]["edit"] = array("table" => "kardex_pago", "field" => "estado", "page" => "edit");
		if( !isset( $lookupTableLinks["aux"] ) ) {
			$lookupTableLinks["aux"] = array();
		}
		if( !isset( $lookupTableLinks["aux"]["kardex_pago.tipo_pago"] )) {
			$lookupTableLinks["aux"]["kardex_pago.tipo_pago"] = array();
		}
		$lookupTableLinks["aux"]["kardex_pago.tipo_pago"]["edit"] = array("table" => "kardex_pago", "field" => "tipo_pago", "page" => "edit");
		if( !isset( $lookupTableLinks["sta_rosa_users"] ) ) {
			$lookupTableLinks["sta_rosa_users"] = array();
		}
		if( !isset( $lookupTableLinks["sta_rosa_users"]["kardex_pago.responsable"] )) {
			$lookupTableLinks["sta_rosa_users"]["kardex_pago.responsable"] = array();
		}
		$lookupTableLinks["sta_rosa_users"]["kardex_pago.responsable"]["edit"] = array("table" => "kardex_pago", "field" => "responsable", "page" => "edit");
		if( !isset( $lookupTableLinks["gestion"] ) ) {
			$lookupTableLinks["gestion"] = array();
		}
		if( !isset( $lookupTableLinks["gestion"]["kardex_pago.utilidad_gestion"] )) {
			$lookupTableLinks["gestion"]["kardex_pago.utilidad_gestion"] = array();
		}
		$lookupTableLinks["gestion"]["kardex_pago.utilidad_gestion"]["edit"] = array("table" => "kardex_pago", "field" => "utilidad_gestion", "page" => "edit");
		if( !isset( $lookupTableLinks["constitucion"] ) ) {
			$lookupTableLinks["constitucion"] = array();
		}
		if( !isset( $lookupTableLinks["constitucion"]["kardex_pago.id_constitucion"] )) {
			$lookupTableLinks["constitucion"]["kardex_pago.id_constitucion"] = array();
		}
		$lookupTableLinks["constitucion"]["kardex_pago.id_constitucion"]["edit"] = array("table" => "kardex_pago", "field" => "id_constitucion", "page" => "edit");
		if( !isset( $lookupTableLinks["gestion"] ) ) {
			$lookupTableLinks["gestion"] = array();
		}
		if( !isset( $lookupTableLinks["gestion"]["kardex_pago.gestion"] )) {
			$lookupTableLinks["gestion"]["kardex_pago.gestion"] = array();
		}
		$lookupTableLinks["gestion"]["kardex_pago.gestion"]["edit"] = array("table" => "kardex_pago", "field" => "gestion", "page" => "edit");
		if( !isset( $lookupTableLinks["pago_corelativo"] ) ) {
			$lookupTableLinks["pago_corelativo"] = array();
		}
		if( !isset( $lookupTableLinks["pago_corelativo"]["kardex_pago.correlativo_pago"] )) {
			$lookupTableLinks["pago_corelativo"]["kardex_pago.correlativo_pago"] = array();
		}
		$lookupTableLinks["pago_corelativo"]["kardex_pago.correlativo_pago"]["edit"] = array("table" => "kardex_pago", "field" => "correlativo_pago", "page" => "edit");
		if( !isset( $lookupTableLinks["gestion"] ) ) {
			$lookupTableLinks["gestion"] = array();
		}
		if( !isset( $lookupTableLinks["gestion"]["kardex_pago.ano"] )) {
			$lookupTableLinks["gestion"]["kardex_pago.ano"] = array();
		}
		$lookupTableLinks["gestion"]["kardex_pago.ano"]["edit"] = array("table" => "kardex_pago", "field" => "ano", "page" => "edit");
		if( !isset( $lookupTableLinks["aux"] ) ) {
			$lookupTableLinks["aux"] = array();
		}
		if( !isset( $lookupTableLinks["aux"]["kardex_socio.ci_procedencia"] )) {
			$lookupTableLinks["aux"]["kardex_socio.ci_procedencia"] = array();
		}
		$lookupTableLinks["aux"]["kardex_socio.ci_procedencia"]["edit"] = array("table" => "kardex_socio", "field" => "ci_procedencia", "page" => "edit");
		if( !isset( $lookupTableLinks["aux"] ) ) {
			$lookupTableLinks["aux"] = array();
		}
		if( !isset( $lookupTableLinks["aux"]["kardex_socio.depto_Nacimiento"] )) {
			$lookupTableLinks["aux"]["kardex_socio.depto_Nacimiento"] = array();
		}
		$lookupTableLinks["aux"]["kardex_socio.depto_Nacimiento"]["edit"] = array("table" => "kardex_socio", "field" => "depto_Nacimiento", "page" => "edit");
		if( !isset( $lookupTableLinks["aux"] ) ) {
			$lookupTableLinks["aux"] = array();
		}
		if( !isset( $lookupTableLinks["aux"]["kardex_socio.estado"] )) {
			$lookupTableLinks["aux"]["kardex_socio.estado"] = array();
		}
		$lookupTableLinks["aux"]["kardex_socio.estado"]["edit"] = array("table" => "kardex_socio", "field" => "estado", "page" => "edit");
		if( !isset( $lookupTableLinks["aux"] ) ) {
			$lookupTableLinks["aux"] = array();
		}
		if( !isset( $lookupTableLinks["aux"]["kardex_socio.tipo_Doc"] )) {
			$lookupTableLinks["aux"]["kardex_socio.tipo_Doc"] = array();
		}
		$lookupTableLinks["aux"]["kardex_socio.tipo_Doc"]["edit"] = array("table" => "kardex_socio", "field" => "tipo_Doc", "page" => "edit");
		if( !isset( $lookupTableLinks["aux"] ) ) {
			$lookupTableLinks["aux"] = array();
		}
		if( !isset( $lookupTableLinks["aux"]["kardex_socio.pais_Nacimiento"] )) {
			$lookupTableLinks["aux"]["kardex_socio.pais_Nacimiento"] = array();
		}
		$lookupTableLinks["aux"]["kardex_socio.pais_Nacimiento"]["edit"] = array("table" => "kardex_socio", "field" => "pais_Nacimiento", "page" => "edit");
		if( !isset( $lookupTableLinks["aux"] ) ) {
			$lookupTableLinks["aux"] = array();
		}
		if( !isset( $lookupTableLinks["aux"]["kardex_socio.sexo"] )) {
			$lookupTableLinks["aux"]["kardex_socio.sexo"] = array();
		}
		$lookupTableLinks["aux"]["kardex_socio.sexo"]["edit"] = array("table" => "kardex_socio", "field" => "sexo", "page" => "edit");
		if( !isset( $lookupTableLinks["aux"] ) ) {
			$lookupTableLinks["aux"] = array();
		}
		if( !isset( $lookupTableLinks["aux"]["kardex_socio.estado_Civil"] )) {
			$lookupTableLinks["aux"]["kardex_socio.estado_Civil"] = array();
		}
		$lookupTableLinks["aux"]["kardex_socio.estado_Civil"]["edit"] = array("table" => "kardex_socio", "field" => "estado_Civil", "page" => "edit");
		if( !isset( $lookupTableLinks["aux"] ) ) {
			$lookupTableLinks["aux"] = array();
		}
		if( !isset( $lookupTableLinks["aux"]["kardex_socio.tipo_accionista"] )) {
			$lookupTableLinks["aux"]["kardex_socio.tipo_accionista"] = array();
		}
		$lookupTableLinks["aux"]["kardex_socio.tipo_accionista"]["edit"] = array("table" => "kardex_socio", "field" => "tipo_accionista", "page" => "edit");
		if( !isset( $lookupTableLinks["derecho_propietario3"] ) ) {
			$lookupTableLinks["derecho_propietario3"] = array();
		}
		if( !isset( $lookupTableLinks["derecho_propietario3"]["pago_biometrico.derecho_Propietario"] )) {
			$lookupTableLinks["derecho_propietario3"]["pago_biometrico.derecho_Propietario"] = array();
		}
		$lookupTableLinks["derecho_propietario3"]["pago_biometrico.derecho_Propietario"]["edit"] = array("table" => "Pago_Biometrico", "field" => "derecho_Propietario", "page" => "edit");
		if( !isset( $lookupTableLinks["tickeo_biometrico"] ) ) {
			$lookupTableLinks["tickeo_biometrico"] = array();
		}
		if( !isset( $lookupTableLinks["tickeo_biometrico"]["pago_biometrico.accionista"] )) {
			$lookupTableLinks["tickeo_biometrico"]["pago_biometrico.accionista"] = array();
		}
		$lookupTableLinks["tickeo_biometrico"]["pago_biometrico.accionista"]["edit"] = array("table" => "Pago_Biometrico", "field" => "accionista", "page" => "edit");
		if( !isset( $lookupTableLinks["aux"] ) ) {
			$lookupTableLinks["aux"] = array();
		}
		if( !isset( $lookupTableLinks["aux"]["pago_biometrico.estado"] )) {
			$lookupTableLinks["aux"]["pago_biometrico.estado"] = array();
		}
		$lookupTableLinks["aux"]["pago_biometrico.estado"]["edit"] = array("table" => "Pago_Biometrico", "field" => "estado", "page" => "edit");
		if( !isset( $lookupTableLinks["aux"] ) ) {
			$lookupTableLinks["aux"] = array();
		}
		if( !isset( $lookupTableLinks["aux"]["pago_biometrico.tipo_pago"] )) {
			$lookupTableLinks["aux"]["pago_biometrico.tipo_pago"] = array();
		}
		$lookupTableLinks["aux"]["pago_biometrico.tipo_pago"]["edit"] = array("table" => "Pago_Biometrico", "field" => "tipo_pago", "page" => "edit");
		if( !isset( $lookupTableLinks["sta_rosa_users"] ) ) {
			$lookupTableLinks["sta_rosa_users"] = array();
		}
		if( !isset( $lookupTableLinks["sta_rosa_users"]["pago_biometrico.responsable"] )) {
			$lookupTableLinks["sta_rosa_users"]["pago_biometrico.responsable"] = array();
		}
		$lookupTableLinks["sta_rosa_users"]["pago_biometrico.responsable"]["edit"] = array("table" => "Pago_Biometrico", "field" => "responsable", "page" => "edit");
		if( !isset( $lookupTableLinks["derecho_propietario"] ) ) {
			$lookupTableLinks["derecho_propietario"] = array();
		}
		if( !isset( $lookupTableLinks["derecho_propietario"]["pago_biometrico.nro_Acciones"] )) {
			$lookupTableLinks["derecho_propietario"]["pago_biometrico.nro_Acciones"] = array();
		}
		$lookupTableLinks["derecho_propietario"]["pago_biometrico.nro_Acciones"]["edit"] = array("table" => "Pago_Biometrico", "field" => "nro_Acciones", "page" => "edit");
		if( !isset( $lookupTableLinks["gestion"] ) ) {
			$lookupTableLinks["gestion"] = array();
		}
		if( !isset( $lookupTableLinks["gestion"]["pago_biometrico.utilidad_gestion"] )) {
			$lookupTableLinks["gestion"]["pago_biometrico.utilidad_gestion"] = array();
		}
		$lookupTableLinks["gestion"]["pago_biometrico.utilidad_gestion"]["edit"] = array("table" => "Pago_Biometrico", "field" => "utilidad_gestion", "page" => "edit");
		if( !isset( $lookupTableLinks["socio"] ) ) {
			$lookupTableLinks["socio"] = array();
		}
		if( !isset( $lookupTableLinks["socio"]["derechos_no_vigentes.accionista"] )) {
			$lookupTableLinks["socio"]["derechos_no_vigentes.accionista"] = array();
		}
		$lookupTableLinks["socio"]["derechos_no_vigentes.accionista"]["edit"] = array("table" => "derechos_No_Vigentes", "field" => "accionista", "page" => "edit");
		if( !isset( $lookupTableLinks["aux"] ) ) {
			$lookupTableLinks["aux"] = array();
		}
		if( !isset( $lookupTableLinks["aux"]["derechos_no_vigentes.clase_Acciones"] )) {
			$lookupTableLinks["aux"]["derechos_no_vigentes.clase_Acciones"] = array();
		}
		$lookupTableLinks["aux"]["derechos_no_vigentes.clase_Acciones"]["edit"] = array("table" => "derechos_No_Vigentes", "field" => "clase_Acciones", "page" => "edit");
		if( !isset( $lookupTableLinks["aux"] ) ) {
			$lookupTableLinks["aux"] = array();
		}
		if( !isset( $lookupTableLinks["aux"]["derechos_no_vigentes.estado_Pago"] )) {
			$lookupTableLinks["aux"]["derechos_no_vigentes.estado_Pago"] = array();
		}
		$lookupTableLinks["aux"]["derechos_no_vigentes.estado_Pago"]["edit"] = array("table" => "derechos_No_Vigentes", "field" => "estado_Pago", "page" => "edit");
		if( !isset( $lookupTableLinks["aux"] ) ) {
			$lookupTableLinks["aux"] = array();
		}
		if( !isset( $lookupTableLinks["aux"]["derechos_no_vigentes.gravamen"] )) {
			$lookupTableLinks["aux"]["derechos_no_vigentes.gravamen"] = array();
		}
		$lookupTableLinks["aux"]["derechos_no_vigentes.gravamen"]["edit"] = array("table" => "derechos_No_Vigentes", "field" => "gravamen", "page" => "edit");
		if( !isset( $lookupTableLinks["acciones_correlativo"] ) ) {
			$lookupTableLinks["acciones_correlativo"] = array();
		}
		if( !isset( $lookupTableLinks["acciones_correlativo"]["derechos_no_vigentes.nro_Folio"] )) {
			$lookupTableLinks["acciones_correlativo"]["derechos_no_vigentes.nro_Folio"] = array();
		}
		$lookupTableLinks["acciones_correlativo"]["derechos_no_vigentes.nro_Folio"]["edit"] = array("table" => "derechos_No_Vigentes", "field" => "nro_Folio", "page" => "edit");
		if( !isset( $lookupTableLinks["acciones_correlativo"] ) ) {
			$lookupTableLinks["acciones_correlativo"] = array();
		}
		if( !isset( $lookupTableLinks["acciones_correlativo"]["derechos_no_vigentes.nro_Partido"] )) {
			$lookupTableLinks["acciones_correlativo"]["derechos_no_vigentes.nro_Partido"] = array();
		}
		$lookupTableLinks["acciones_correlativo"]["derechos_no_vigentes.nro_Partido"]["edit"] = array("table" => "derechos_No_Vigentes", "field" => "nro_Partido", "page" => "edit");
		if( !isset( $lookupTableLinks["acciones_correlativo"] ) ) {
			$lookupTableLinks["acciones_correlativo"] = array();
		}
		if( !isset( $lookupTableLinks["acciones_correlativo"]["derechos_no_vigentes.nro_Titulo"] )) {
			$lookupTableLinks["acciones_correlativo"]["derechos_no_vigentes.nro_Titulo"] = array();
		}
		$lookupTableLinks["acciones_correlativo"]["derechos_no_vigentes.nro_Titulo"]["edit"] = array("table" => "derechos_No_Vigentes", "field" => "nro_Titulo", "page" => "edit");
		if( !isset( $lookupTableLinks["aux"] ) ) {
			$lookupTableLinks["aux"] = array();
		}
		if( !isset( $lookupTableLinks["aux"]["derechos_no_vigentes.serie_Acciones"] )) {
			$lookupTableLinks["aux"]["derechos_no_vigentes.serie_Acciones"] = array();
		}
		$lookupTableLinks["aux"]["derechos_no_vigentes.serie_Acciones"]["edit"] = array("table" => "derechos_No_Vigentes", "field" => "serie_Acciones", "page" => "edit");
		if( !isset( $lookupTableLinks["aux"] ) ) {
			$lookupTableLinks["aux"] = array();
		}
		if( !isset( $lookupTableLinks["aux"]["derechos_no_vigentes.tipo_Acciones"] )) {
			$lookupTableLinks["aux"]["derechos_no_vigentes.tipo_Acciones"] = array();
		}
		$lookupTableLinks["aux"]["derechos_no_vigentes.tipo_Acciones"]["edit"] = array("table" => "derechos_No_Vigentes", "field" => "tipo_Acciones", "page" => "edit");
		if( !isset( $lookupTableLinks["aux"] ) ) {
			$lookupTableLinks["aux"] = array();
		}
		if( !isset( $lookupTableLinks["aux"]["derechos_no_vigentes.estado_titulo"] )) {
			$lookupTableLinks["aux"]["derechos_no_vigentes.estado_titulo"] = array();
		}
		$lookupTableLinks["aux"]["derechos_no_vigentes.estado_titulo"]["edit"] = array("table" => "derechos_No_Vigentes", "field" => "estado_titulo", "page" => "edit");
		if( !isset( $lookupTableLinks["constitucion"] ) ) {
			$lookupTableLinks["constitucion"] = array();
		}
		if( !isset( $lookupTableLinks["constitucion"]["derechos_no_vigentes.id_constitucion"] )) {
			$lookupTableLinks["constitucion"]["derechos_no_vigentes.id_constitucion"] = array();
		}
		$lookupTableLinks["constitucion"]["derechos_no_vigentes.id_constitucion"]["edit"] = array("table" => "derechos_No_Vigentes", "field" => "id_constitucion", "page" => "edit");
		if( !isset( $lookupTableLinks["acciones_correlativo"] ) ) {
			$lookupTableLinks["acciones_correlativo"] = array();
		}
		if( !isset( $lookupTableLinks["acciones_correlativo"]["derechos_no_vigentes.nro_derecho"] )) {
			$lookupTableLinks["acciones_correlativo"]["derechos_no_vigentes.nro_derecho"] = array();
		}
		$lookupTableLinks["acciones_correlativo"]["derechos_no_vigentes.nro_derecho"]["edit"] = array("table" => "derechos_No_Vigentes", "field" => "nro_derecho", "page" => "edit");
		if( !isset( $lookupTableLinks["derecho_constitucion"] ) ) {
			$lookupTableLinks["derecho_constitucion"] = array();
		}
		if( !isset( $lookupTableLinks["derecho_constitucion"]["kardex_pago_bio.derecho_Propietario"] )) {
			$lookupTableLinks["derecho_constitucion"]["kardex_pago_bio.derecho_Propietario"] = array();
		}
		$lookupTableLinks["derecho_constitucion"]["kardex_pago_bio.derecho_Propietario"]["edit"] = array("table" => "kardex_pago_bio", "field" => "derecho_Propietario", "page" => "edit");
		if( !isset( $lookupTableLinks["derecho_constitucion"] ) ) {
			$lookupTableLinks["derecho_constitucion"] = array();
		}
		if( !isset( $lookupTableLinks["derecho_constitucion"]["kardex_pago_bio.accionista"] )) {
			$lookupTableLinks["derecho_constitucion"]["kardex_pago_bio.accionista"] = array();
		}
		$lookupTableLinks["derecho_constitucion"]["kardex_pago_bio.accionista"]["edit"] = array("table" => "kardex_pago_bio", "field" => "accionista", "page" => "edit");
		if( !isset( $lookupTableLinks["aux"] ) ) {
			$lookupTableLinks["aux"] = array();
		}
		if( !isset( $lookupTableLinks["aux"]["kardex_pago_bio.estado"] )) {
			$lookupTableLinks["aux"]["kardex_pago_bio.estado"] = array();
		}
		$lookupTableLinks["aux"]["kardex_pago_bio.estado"]["edit"] = array("table" => "kardex_pago_bio", "field" => "estado", "page" => "edit");
		if( !isset( $lookupTableLinks["aux"] ) ) {
			$lookupTableLinks["aux"] = array();
		}
		if( !isset( $lookupTableLinks["aux"]["kardex_pago_bio.tipo_pago"] )) {
			$lookupTableLinks["aux"]["kardex_pago_bio.tipo_pago"] = array();
		}
		$lookupTableLinks["aux"]["kardex_pago_bio.tipo_pago"]["edit"] = array("table" => "kardex_pago_bio", "field" => "tipo_pago", "page" => "edit");
		if( !isset( $lookupTableLinks["sta_rosa_users"] ) ) {
			$lookupTableLinks["sta_rosa_users"] = array();
		}
		if( !isset( $lookupTableLinks["sta_rosa_users"]["kardex_pago_bio.responsable"] )) {
			$lookupTableLinks["sta_rosa_users"]["kardex_pago_bio.responsable"] = array();
		}
		$lookupTableLinks["sta_rosa_users"]["kardex_pago_bio.responsable"]["edit"] = array("table" => "kardex_pago_bio", "field" => "responsable", "page" => "edit");
		if( !isset( $lookupTableLinks["gestion"] ) ) {
			$lookupTableLinks["gestion"] = array();
		}
		if( !isset( $lookupTableLinks["gestion"]["kardex_pago_bio.utilidad_gestion"] )) {
			$lookupTableLinks["gestion"]["kardex_pago_bio.utilidad_gestion"] = array();
		}
		$lookupTableLinks["gestion"]["kardex_pago_bio.utilidad_gestion"]["edit"] = array("table" => "kardex_pago_bio", "field" => "utilidad_gestion", "page" => "edit");
		if( !isset( $lookupTableLinks["constitucion"] ) ) {
			$lookupTableLinks["constitucion"] = array();
		}
		if( !isset( $lookupTableLinks["constitucion"]["kardex_pago_bio.id_constitucion"] )) {
			$lookupTableLinks["constitucion"]["kardex_pago_bio.id_constitucion"] = array();
		}
		$lookupTableLinks["constitucion"]["kardex_pago_bio.id_constitucion"]["edit"] = array("table" => "kardex_pago_bio", "field" => "id_constitucion", "page" => "edit");
		if( !isset( $lookupTableLinks["gestion"] ) ) {
			$lookupTableLinks["gestion"] = array();
		}
		if( !isset( $lookupTableLinks["gestion"]["kardex_pago_bio.gestion"] )) {
			$lookupTableLinks["gestion"]["kardex_pago_bio.gestion"] = array();
		}
		$lookupTableLinks["gestion"]["kardex_pago_bio.gestion"]["edit"] = array("table" => "kardex_pago_bio", "field" => "gestion", "page" => "edit");
		if( !isset( $lookupTableLinks[""] ) ) {
			$lookupTableLinks[""] = array();
		}
		if( !isset( $lookupTableLinks[""]["kardex_pago_bio.correlativo_pago"] )) {
			$lookupTableLinks[""]["kardex_pago_bio.correlativo_pago"] = array();
		}
		$lookupTableLinks[""]["kardex_pago_bio.correlativo_pago"]["edit"] = array("table" => "kardex_pago_bio", "field" => "correlativo_pago", "page" => "edit");
		if( !isset( $lookupTableLinks["gestion"] ) ) {
			$lookupTableLinks["gestion"] = array();
		}
		if( !isset( $lookupTableLinks["gestion"]["kardex_pago_bio.ano"] )) {
			$lookupTableLinks["gestion"]["kardex_pago_bio.ano"] = array();
		}
		$lookupTableLinks["gestion"]["kardex_pago_bio.ano"]["edit"] = array("table" => "kardex_pago_bio", "field" => "ano", "page" => "edit");
		if( !isset( $lookupTableLinks["socio"] ) ) {
			$lookupTableLinks["socio"] = array();
		}
		if( !isset( $lookupTableLinks["socio"]["biometric.accionista"] )) {
			$lookupTableLinks["socio"]["biometric.accionista"] = array();
		}
		$lookupTableLinks["socio"]["biometric.accionista"]["edit"] = array("table" => "biometric", "field" => "accionista", "page" => "edit");
		if( !isset( $lookupTableLinks["aux"] ) ) {
			$lookupTableLinks["aux"] = array();
		}
		if( !isset( $lookupTableLinks["aux"]["biometric.clase_Acciones"] )) {
			$lookupTableLinks["aux"]["biometric.clase_Acciones"] = array();
		}
		$lookupTableLinks["aux"]["biometric.clase_Acciones"]["edit"] = array("table" => "biometric", "field" => "clase_Acciones", "page" => "edit");
		if( !isset( $lookupTableLinks["aux"] ) ) {
			$lookupTableLinks["aux"] = array();
		}
		if( !isset( $lookupTableLinks["aux"]["biometric.estado_Pago"] )) {
			$lookupTableLinks["aux"]["biometric.estado_Pago"] = array();
		}
		$lookupTableLinks["aux"]["biometric.estado_Pago"]["edit"] = array("table" => "biometric", "field" => "estado_Pago", "page" => "edit");
		if( !isset( $lookupTableLinks["aux"] ) ) {
			$lookupTableLinks["aux"] = array();
		}
		if( !isset( $lookupTableLinks["aux"]["biometric.gravamen"] )) {
			$lookupTableLinks["aux"]["biometric.gravamen"] = array();
		}
		$lookupTableLinks["aux"]["biometric.gravamen"]["edit"] = array("table" => "biometric", "field" => "gravamen", "page" => "edit");
		if( !isset( $lookupTableLinks["acciones_correlativo"] ) ) {
			$lookupTableLinks["acciones_correlativo"] = array();
		}
		if( !isset( $lookupTableLinks["acciones_correlativo"]["biometric.nro_Folio"] )) {
			$lookupTableLinks["acciones_correlativo"]["biometric.nro_Folio"] = array();
		}
		$lookupTableLinks["acciones_correlativo"]["biometric.nro_Folio"]["edit"] = array("table" => "biometric", "field" => "nro_Folio", "page" => "edit");
		if( !isset( $lookupTableLinks["acciones_correlativo"] ) ) {
			$lookupTableLinks["acciones_correlativo"] = array();
		}
		if( !isset( $lookupTableLinks["acciones_correlativo"]["biometric.nro_Partido"] )) {
			$lookupTableLinks["acciones_correlativo"]["biometric.nro_Partido"] = array();
		}
		$lookupTableLinks["acciones_correlativo"]["biometric.nro_Partido"]["edit"] = array("table" => "biometric", "field" => "nro_Partido", "page" => "edit");
		if( !isset( $lookupTableLinks["acciones_correlativo"] ) ) {
			$lookupTableLinks["acciones_correlativo"] = array();
		}
		if( !isset( $lookupTableLinks["acciones_correlativo"]["biometric.nro_Titulo"] )) {
			$lookupTableLinks["acciones_correlativo"]["biometric.nro_Titulo"] = array();
		}
		$lookupTableLinks["acciones_correlativo"]["biometric.nro_Titulo"]["edit"] = array("table" => "biometric", "field" => "nro_Titulo", "page" => "edit");
		if( !isset( $lookupTableLinks["aux"] ) ) {
			$lookupTableLinks["aux"] = array();
		}
		if( !isset( $lookupTableLinks["aux"]["biometric.serie_Acciones"] )) {
			$lookupTableLinks["aux"]["biometric.serie_Acciones"] = array();
		}
		$lookupTableLinks["aux"]["biometric.serie_Acciones"]["edit"] = array("table" => "biometric", "field" => "serie_Acciones", "page" => "edit");
		if( !isset( $lookupTableLinks["aux"] ) ) {
			$lookupTableLinks["aux"] = array();
		}
		if( !isset( $lookupTableLinks["aux"]["biometric.tipo_Acciones"] )) {
			$lookupTableLinks["aux"]["biometric.tipo_Acciones"] = array();
		}
		$lookupTableLinks["aux"]["biometric.tipo_Acciones"]["edit"] = array("table" => "biometric", "field" => "tipo_Acciones", "page" => "edit");
		if( !isset( $lookupTableLinks["aux"] ) ) {
			$lookupTableLinks["aux"] = array();
		}
		if( !isset( $lookupTableLinks["aux"]["biometric.estado_titulo"] )) {
			$lookupTableLinks["aux"]["biometric.estado_titulo"] = array();
		}
		$lookupTableLinks["aux"]["biometric.estado_titulo"]["edit"] = array("table" => "biometric", "field" => "estado_titulo", "page" => "edit");
		if( !isset( $lookupTableLinks["constitucion"] ) ) {
			$lookupTableLinks["constitucion"] = array();
		}
		if( !isset( $lookupTableLinks["constitucion"]["biometric.id_constitucion"] )) {
			$lookupTableLinks["constitucion"]["biometric.id_constitucion"] = array();
		}
		$lookupTableLinks["constitucion"]["biometric.id_constitucion"]["edit"] = array("table" => "biometric", "field" => "id_constitucion", "page" => "edit");
		if( !isset( $lookupTableLinks["acciones_correlativo"] ) ) {
			$lookupTableLinks["acciones_correlativo"] = array();
		}
		if( !isset( $lookupTableLinks["acciones_correlativo"]["biometric.nro_derecho"] )) {
			$lookupTableLinks["acciones_correlativo"]["biometric.nro_derecho"] = array();
		}
		$lookupTableLinks["acciones_correlativo"]["biometric.nro_derecho"]["edit"] = array("table" => "biometric", "field" => "nro_derecho", "page" => "edit");
		if( !isset( $lookupTableLinks["api_biometrico"] ) ) {
			$lookupTableLinks["api_biometrico"] = array();
		}
		if( !isset( $lookupTableLinks["api_biometrico"]["socio1_biometric.ci"] )) {
			$lookupTableLinks["api_biometrico"]["socio1_biometric.ci"] = array();
		}
		$lookupTableLinks["api_biometrico"]["socio1_biometric.ci"]["edit"] = array("table" => "socio1_biometric", "field" => "ci", "page" => "edit");
		if( !isset( $lookupTableLinks["aux"] ) ) {
			$lookupTableLinks["aux"] = array();
		}
		if( !isset( $lookupTableLinks["aux"]["socio1_biometric.ci_procedencia"] )) {
			$lookupTableLinks["aux"]["socio1_biometric.ci_procedencia"] = array();
		}
		$lookupTableLinks["aux"]["socio1_biometric.ci_procedencia"]["edit"] = array("table" => "socio1_biometric", "field" => "ci_procedencia", "page" => "edit");
		if( !isset( $lookupTableLinks["aux"] ) ) {
			$lookupTableLinks["aux"] = array();
		}
		if( !isset( $lookupTableLinks["aux"]["socio1_biometric.depto_Nacimiento"] )) {
			$lookupTableLinks["aux"]["socio1_biometric.depto_Nacimiento"] = array();
		}
		$lookupTableLinks["aux"]["socio1_biometric.depto_Nacimiento"]["edit"] = array("table" => "socio1_biometric", "field" => "depto_Nacimiento", "page" => "edit");
		if( !isset( $lookupTableLinks["aux"] ) ) {
			$lookupTableLinks["aux"] = array();
		}
		if( !isset( $lookupTableLinks["aux"]["socio1_biometric.estado"] )) {
			$lookupTableLinks["aux"]["socio1_biometric.estado"] = array();
		}
		$lookupTableLinks["aux"]["socio1_biometric.estado"]["edit"] = array("table" => "socio1_biometric", "field" => "estado", "page" => "edit");
		if( !isset( $lookupTableLinks["aux"] ) ) {
			$lookupTableLinks["aux"] = array();
		}
		if( !isset( $lookupTableLinks["aux"]["socio1_biometric.tipo_Doc"] )) {
			$lookupTableLinks["aux"]["socio1_biometric.tipo_Doc"] = array();
		}
		$lookupTableLinks["aux"]["socio1_biometric.tipo_Doc"]["edit"] = array("table" => "socio1_biometric", "field" => "tipo_Doc", "page" => "edit");
		if( !isset( $lookupTableLinks["aux"] ) ) {
			$lookupTableLinks["aux"] = array();
		}
		if( !isset( $lookupTableLinks["aux"]["socio1_biometric.pais_Nacimiento"] )) {
			$lookupTableLinks["aux"]["socio1_biometric.pais_Nacimiento"] = array();
		}
		$lookupTableLinks["aux"]["socio1_biometric.pais_Nacimiento"]["edit"] = array("table" => "socio1_biometric", "field" => "pais_Nacimiento", "page" => "edit");
		if( !isset( $lookupTableLinks["aux"] ) ) {
			$lookupTableLinks["aux"] = array();
		}
		if( !isset( $lookupTableLinks["aux"]["socio1_biometric.sexo"] )) {
			$lookupTableLinks["aux"]["socio1_biometric.sexo"] = array();
		}
		$lookupTableLinks["aux"]["socio1_biometric.sexo"]["edit"] = array("table" => "socio1_biometric", "field" => "sexo", "page" => "edit");
		if( !isset( $lookupTableLinks["aux"] ) ) {
			$lookupTableLinks["aux"] = array();
		}
		if( !isset( $lookupTableLinks["aux"]["socio1_biometric.estado_Civil"] )) {
			$lookupTableLinks["aux"]["socio1_biometric.estado_Civil"] = array();
		}
		$lookupTableLinks["aux"]["socio1_biometric.estado_Civil"]["edit"] = array("table" => "socio1_biometric", "field" => "estado_Civil", "page" => "edit");
		if( !isset( $lookupTableLinks["aux"] ) ) {
			$lookupTableLinks["aux"] = array();
		}
		if( !isset( $lookupTableLinks["aux"]["socio1_biometric.tipo_accionista"] )) {
			$lookupTableLinks["aux"]["socio1_biometric.tipo_accionista"] = array();
		}
		$lookupTableLinks["aux"]["socio1_biometric.tipo_accionista"]["edit"] = array("table" => "socio1_biometric", "field" => "tipo_accionista", "page" => "edit");
		if( !isset( $lookupTableLinks["derecho_propietario"] ) ) {
			$lookupTableLinks["derecho_propietario"] = array();
		}
		if( !isset( $lookupTableLinks["derecho_propietario"]["titulos_entregados.derecho_Propietario"] )) {
			$lookupTableLinks["derecho_propietario"]["titulos_entregados.derecho_Propietario"] = array();
		}
		$lookupTableLinks["derecho_propietario"]["titulos_entregados.derecho_Propietario"]["edit"] = array("table" => "Titulos_entregados", "field" => "derecho_Propietario", "page" => "edit");
		if( !isset( $lookupTableLinks["aux"] ) ) {
			$lookupTableLinks["aux"] = array();
		}
		if( !isset( $lookupTableLinks["aux"]["titulos_entregados.estado"] )) {
			$lookupTableLinks["aux"]["titulos_entregados.estado"] = array();
		}
		$lookupTableLinks["aux"]["titulos_entregados.estado"]["edit"] = array("table" => "Titulos_entregados", "field" => "estado", "page" => "edit");
		if( !isset( $lookupTableLinks["socio"] ) ) {
			$lookupTableLinks["socio"] = array();
		}
		if( !isset( $lookupTableLinks["socio"]["titulos_entregados.accionista"] )) {
			$lookupTableLinks["socio"]["titulos_entregados.accionista"] = array();
		}
		$lookupTableLinks["socio"]["titulos_entregados.accionista"]["edit"] = array("table" => "Titulos_entregados", "field" => "accionista", "page" => "edit");
		if( !isset( $lookupTableLinks["constitucion"] ) ) {
			$lookupTableLinks["constitucion"] = array();
		}
		if( !isset( $lookupTableLinks["constitucion"]["titulos_entregados.id_constitucion"] )) {
			$lookupTableLinks["constitucion"]["titulos_entregados.id_constitucion"] = array();
		}
		$lookupTableLinks["constitucion"]["titulos_entregados.id_constitucion"]["edit"] = array("table" => "Titulos_entregados", "field" => "id_constitucion", "page" => "edit");
		if( !isset( $lookupTableLinks["derecho_propietario"] ) ) {
			$lookupTableLinks["derecho_propietario"] = array();
		}
		if( !isset( $lookupTableLinks["derecho_propietario"]["titulos_pendientes.derecho_Propietario"] )) {
			$lookupTableLinks["derecho_propietario"]["titulos_pendientes.derecho_Propietario"] = array();
		}
		$lookupTableLinks["derecho_propietario"]["titulos_pendientes.derecho_Propietario"]["edit"] = array("table" => "Titulos_pendientes", "field" => "derecho_Propietario", "page" => "edit");
		if( !isset( $lookupTableLinks["aux"] ) ) {
			$lookupTableLinks["aux"] = array();
		}
		if( !isset( $lookupTableLinks["aux"]["titulos_pendientes.estado"] )) {
			$lookupTableLinks["aux"]["titulos_pendientes.estado"] = array();
		}
		$lookupTableLinks["aux"]["titulos_pendientes.estado"]["edit"] = array("table" => "Titulos_pendientes", "field" => "estado", "page" => "edit");
		if( !isset( $lookupTableLinks["socio"] ) ) {
			$lookupTableLinks["socio"] = array();
		}
		if( !isset( $lookupTableLinks["socio"]["titulos_pendientes.accionista"] )) {
			$lookupTableLinks["socio"]["titulos_pendientes.accionista"] = array();
		}
		$lookupTableLinks["socio"]["titulos_pendientes.accionista"]["edit"] = array("table" => "Titulos_pendientes", "field" => "accionista", "page" => "edit");
		if( !isset( $lookupTableLinks["constitucion"] ) ) {
			$lookupTableLinks["constitucion"] = array();
		}
		if( !isset( $lookupTableLinks["constitucion"]["titulos_pendientes.id_constitucion"] )) {
			$lookupTableLinks["constitucion"]["titulos_pendientes.id_constitucion"] = array();
		}
		$lookupTableLinks["constitucion"]["titulos_pendientes.id_constitucion"]["edit"] = array("table" => "Titulos_pendientes", "field" => "id_constitucion", "page" => "edit");
		if( !isset( $lookupTableLinks["entregas_corelativo"] ) ) {
			$lookupTableLinks["entregas_corelativo"] = array();
		}
		if( !isset( $lookupTableLinks["entregas_corelativo"]["titulos_pendientes.correlativo_entregado"] )) {
			$lookupTableLinks["entregas_corelativo"]["titulos_pendientes.correlativo_entregado"] = array();
		}
		$lookupTableLinks["entregas_corelativo"]["titulos_pendientes.correlativo_entregado"]["edit"] = array("table" => "Titulos_pendientes", "field" => "correlativo_entregado", "page" => "edit");
		if( !isset( $lookupTableLinks["empresa"] ) ) {
			$lookupTableLinks["empresa"] = array();
		}
		if( !isset( $lookupTableLinks["empresa"]["constitucion_empresa_titulo.id_Empresa"] )) {
			$lookupTableLinks["empresa"]["constitucion_empresa_titulo.id_Empresa"] = array();
		}
		$lookupTableLinks["empresa"]["constitucion_empresa_titulo.id_Empresa"]["edit"] = array("table" => "constitucion_empresa_titulo", "field" => "id_Empresa", "page" => "edit");
		if( !isset( $lookupTableLinks["empresa"] ) ) {
			$lookupTableLinks["empresa"] = array();
		}
		if( !isset( $lookupTableLinks["empresa"]["constitucion_empresa_titulo.nombre"] )) {
			$lookupTableLinks["empresa"]["constitucion_empresa_titulo.nombre"] = array();
		}
		$lookupTableLinks["empresa"]["constitucion_empresa_titulo.nombre"]["edit"] = array("table" => "constitucion_empresa_titulo", "field" => "nombre", "page" => "edit");
}

?>